# onyx_mlag_ipl – Manage IPL (inter-peer link) on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of IPL (inter-peer link) management on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Name of the interface (port-channel) IPL should be configured on.
peer_address - |  | IPL peer IP address.

state
-

Choices:
- present ←
- absent

IPL state.

vlan_interface - |  | Name of the IPL vlan interface.

## Notes

Note

- Tested on ONYX 3.6.4000

## Examples

    - name: run configure ipl
      onyx_mlag_ipl:
        name: Po1
        vlan_interface: Vlan 322
        state: present
        peer_address: 192.168.7.1

    - name: run remove ipl
      onyx_mlag_ipl:
        name: Po1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['interface port-channel 1 ipl 1', 'interface vlan 1024 ipl 1 peer-address 10.10.10.10']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.